cascading.util.jgrapht

## Class StringEdgeNameProvider<E>

- java.lang.Object
- - cascading.util.jgrapht.StringEdgeNameProvider<E>

- All Implemented Interfaces:
    EdgeNameProvider<E>

      public class StringEdgeNameProvider<E>
      extends java.lang.Object
      implements EdgeNameProvider<E>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringEdgeNameProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEdgeName(E edge)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringEdgeNameProvider

          public StringEdgeNameProvider()

  - ### Method Detail

    - #### getEdgeName

          public java.lang.String getEdgeName(E edge)

      Specified by:
        `getEdgeName` in interface `EdgeNameProvider<E>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.